package Address::Dispatcher;
use Jifty::Dispatcher -base;

use Data::Dumper;

on '/search', run {

    my $collection = undef;

    my $action = Jifty->web->request->action('searchform');
    warn "On Search called, action=$action";
    # warn Data::Dumper->Dump([Jifty->web->request]);

    if (defined($action)) {
        #
        # search action found -- get search string
        #
        my $search_for = $action->argument('search_for');
        warn "searching for... $search_for";

        if ($search_for) {
            #
            # search string nonempty -- do search
            #
            $collection = Address::Model::MemberCollection->new();
            $collection->limit(column   => 'member_number',
                               operator => '=',
                               value    => $search_for,
                               # entry_aggregator => 'or',  ## default value
                               subclause => 'find',
                           );
            $collection->limit(column   => 'lastname',
                               operator => 'MATCHES',
                               value    => $search_for,
                               # entry_aggregator => 'or',  ## default value
                               subclause => 'find',
                           );
            # warn $collection->build_select_query();
        }
    }

    set data => $collection;
};


1;

