use strict;
use warnings;

package Address::Model::Member::Schema;
use Jifty::DBI::Schema;

   column 'member_number' =>
       type is 'int',
       label is 'Mitglieds-Nummer',
       render_as 'Text',
       since '0.0.1';

    column 'firstname' =>
        type is 'text',
        label is 'Vorname',
        render_as 'Text',
        since '0.0.1';

    column 'lastname' =>
        type is 'text',
        label is 'Nachname',
        render_as 'Text',
        since '0.0.1';

    column 'sitename' =>
        type is 'text',
        label is 'Name der Site',
        render_as 'Text',
        since '0.0.1';

    column 'area' =>
        type is 'text',
        label is 'Bundesland',
        render_as 'Select',
        valid_values are ('Bayern', 'Baden Wuerthemberg'),
        since '0.0.1';

    column 'status' =>
        type is 'text',
        label is 'Status',
        render_as 'Combobox',
        valid_values are qw(aktiv ausgestossen verstorben),
        since '0.0.1';

package Address::Model::Member;
use base qw/Address::Record/;

# Your model-specific methods go here.

1;

